Page MenuHomePhabricator

Show label for Property in Wikidata Bridge modal
Closed, ResolvedPublic8 Story Points

Description

As an editor I want to see which property I am editing while I am editing in order to be confident I'm making the right edit.

Problem:
In the previous story we used the Property's ID as the label for the input field. We want to change this to the Property's Label.

BDD
GIVEN a Wikidata Bridge modal
WHEN editing a value
THEN the input field's label is the Label of the associated Property on the repository

Acceptance criteria:

  • The Property's Label is shown as the input field's label
  • The Property's id is shown as the input field's label as a fallback in case loading the property label did not succeed
  • The wiki page's content language is used for deciding which Label to show
  • Language fallback is applied if the Label isn't available in the wiki page's content language. The fallback chain ends in English. If that isn't available we fall back to the Property ID.
  • Directionality of the mentioned language must be respected

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2019, 10:23 AM
Lydia_Pintscher renamed this task from Show label for property in Wikidata Bridge modal to Show label for Property in Wikidata Bridge modal.Jul 11 2019, 10:24 AM

One option for handling language fallbacks is action=wbgetentities&props=labels&languages=___&languagefallback=1&ids=___.

darthmon_wmde set the point value for this task to 8.
NOTE: Duplicate storybook stories for right-to-left languages
Pablo-WMDE updated the task description. (Show Details)Sep 10 2019, 12:04 PM
Pablo-WMDE added subscribers: Charlie_WMDE, Pablo-WMDE.

Amended the AC following a discussion with @Charlie_WMDE and added the error case to T228066: Error States of Data-Bridge [Tracking] to reconsider if and how we want to refine handling of the loading failure scenario in the future.

Lydia_Pintscher closed this task as Resolved.Sep 17 2019, 12:55 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-5 board.

\o/